This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1300592 - [fork][userinterface_public_606]Information doesn't align consistently when hover on the quota donut
[fork][userinterface_public_606]Information doesn't align consistently when h...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Management Console (Show other bugs)
3.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Samuel Padgett
yapei
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-21 04:13 EST by Yanping Zhang
Modified: 2016-05-12 13:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 13:14:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
info1.png (156.72 KB, image/png)
2016-01-21 04:14 EST, Yanping Zhang
no flags Details
info1.png (156.38 KB, image/png)
2016-01-21 04:15 EST, Yanping Zhang
no flags Details
info.png (169.13 KB, image/png)
2016-01-21 04:16 EST, Yanping Zhang
no flags Details

  None (edit)
Description Yanping Zhang 2016-01-21 04:13:32 EST
Description of problem:
When hover on the quota donut on project setting page, it shows resource usage information, but information doesn't align consistently, some is in a line, some is divided into multiple lines and the align order changed.

Version-Release number of selected component (if applicable):
openshift v1.1.1-44-gab8a70e
kubernetes v1.1.0-origin-1107-g4c8e6f4
etcd 2.2.2
fork_ami_openshift3_userinterface_public_606_188

How reproducible:
Always

Steps to Reproduce:
1.Create quota and limits on project.
2.Create pod in the project.
3.Hover on the cpu/memory donut on setting page.

Actual results:
3.It will show used/available resource percentage information, but sometimes the information is in a line, sometimes is divided into multiple lines and the words align order changed. Refer to attachment.

Expected results:
4.Information format should keep consistent so that user is not confused.

Additional info:
Comment 1 Yanping Zhang 2016-01-21 04:14 EST
Created attachment 1116854 [details]
info1.png
Comment 2 Yanping Zhang 2016-01-21 04:15 EST
Created attachment 1116855 [details]
info1.png
Comment 3 Yanping Zhang 2016-01-21 04:16 EST
Created attachment 1116856 [details]
info.png
Comment 4 Samuel Padgett 2016-01-21 09:45:25 EST
Fix added to existing PR: https://github.com/openshift/origin/pull/6723

See comment: https://github.com/openshift/origin/pull/6723#issuecomment-173584070
Comment 5 Yanping Zhang 2016-01-25 22:06:14 EST
Tested on latest origin code:
openshift v1.1.1-155-ga3dd1f0
kubernetes v1.1.0-origin-1107-g4c8e6f4
etcd 2.2.2

The information now aligns in two lines consistently. The bug has been fixed, so move it to Verified.

Note You need to log in before you can comment on or make changes to this bug.